Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.components.serializer
Class XsltSerializer

    java.lang.Object
      com.servingxml.components.serializer.XsltSerializer

All Implemented Interfaces:
  SaxSink

    public class XsltSerializer

extends java.lang.Object
implements SaxSink

Writes the transformed XML directly to an output stream with no additional formatting.

Field Summary

Fields inherited from interface com.servingxml.io.saxsink.SaxSink
`NULL`

Constructor Summary
`XsltSerializer(javax.xml.transform.sax.TransformerHandler handler, StreamSink streamSink)`
`XsltSerializer(javax.xml.transform.sax.TransformerHandler handler, StreamSink streamSink, OutputProperty[] serializerOutputProperties)`

Method Summary
`void` | `close()`
`org.xml.sax.ContentHandler` | `getContentHandler()`
`void` | `setOutputProperties(java.util.Properties outputProperties)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XsltSerializer

    public XsltSerializer(javax.xml.transform.sax.TransformerHandler handler,
                          StreamSink streamSink,
                          OutputProperty[] serializerOutputProperties)

### XsltSerializer

    public XsltSerializer(javax.xml.transform.sax.TransformerHandler handler,
                          StreamSink streamSink)

Method Detail

### getContentHandler

    public org.xml.sax.ContentHandler getContentHandler()

  Specified by:
    `getContentHandler` in interface `SaxSink`

### close

    public void close()

  Specified by:
    `close` in interface `SaxSink`

### setOutputProperties

    public void setOutputProperties(java.util.Properties outputProperties)

  Specified by:
    `setOutputProperties` in interface `SaxSink`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD